Websites - List Ssl Bindings By Thumbprints

List SSL bindings for a website by hostname.
Returns the SSL bindings (certificate thumbprints) associated with the specified hostname on the website.

GET https://api.powerplatform.com/powerpages/environments/{environmentId}/websites/{id}/sslBindings?hostName={hostName}&api-version=2024-10-01

URI Parameters

Name In Required Type Description
environmentId
path True

string

The environment ID.

id
path True

string

Website unique identifier (ID).

api-version
query True

string

The API version.

hostName
query True

string

The custom domain hostname to filter SSL bindings by.

Responses

Name Type Description
200 OK

SslBindingThumbprintDTO[]

Success

400 Bad Request

ErrorMessage

Bad Request

401 Unauthorized

ErrorMessage

Unauthorized

404 Not Found

ErrorMessage

Not Found

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
Details
Error
ErrorMessage
SslBindingThumbprintDTO

Details

Name Type Description
code

string

Error code

message

string

Error message

target

string

Target parameter

Error

Name Type Description
code

string

Error code

details

Details[]

message

string

Error message

target

string

Target parameter

ErrorMessage

Name Type Description
error

Error

SslBindingThumbprintDTO

Name Type Description
Name

string

The custom hostname the SSL binding is associated with.

Thumbprint

string

The certificate thumbprint bound to the hostname.